# FHI-aims DFT (PBE) single point energy

from chemsh       import *
from chemsh.utils import testutils

water = Fragment(coords="water.cjson")
# Structure file from tcl-chemshell
#water = Fragment(coords="water.c")

# default functional is blyp 
fhiaims = FHIaims(frag=water, basis='fhiaims.basis', functional='pbe') #, settings='fhiaims.settings')

sp = SP(theory=fhiaims)

sp.run()

ecalc = sp.result.energy
eref = -76.382943822225
# Energy using tcl-chemshell structure
#eref = -76.38184954 

# Test result
testutils.validate(ecalc, eref)
